Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genericasync.mappers
Class CommonInputMapperImpl

    java.lang.Object
      be.ehealth.businessconnector.genericasync.mappers.CommonInputMapperImpl

All Implemented Interfaces:
  CommonInputMapper

    @Generated(value="org.mapstruct.ap.MappingProcessor",
               date="2024-09-05T16:02:39+0200",
               comments="version: 1.2.0.Final, compiler: javac, environment: Java 1.6.0_181 (Sun Microsystems Inc.)")
    public class CommonInputMapperImpl

extends Object
implements CommonInputMapper

Constructor Summary
`CommonInputMapperImpl()`

Method Summary
`CareProviderType` | `map(CareProvider input)`
`CommonInput` | `map(CommonInput input)`
`IdType` | `map(Identification input)`
`NihiiType` | `map(Nihii input)`
`OrigineType` | `map(Origin input)`
`PackageType` | `map(PackageInfo input)`
`PartyType` | `map(Party input)`
`PackageType` | `mapMCNPackage(McnPackageInfo input)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonInputMapperImpl

    public CommonInputMapperImpl()

Method Detail

### map

    public CommonInput map(CommonInput input)

  Specified by:
    `map` in interface `CommonInputMapper`

### map

    public OrigineType map(Origin input)

  Specified by:
    `map` in interface `CommonInputMapper`

### map

    public PackageType map(PackageInfo input)

  Specified by:
    `map` in interface `CommonInputMapper`

### map

    public CareProviderType map(CareProvider input)

  Specified by:
    `map` in interface `CommonInputMapper`

### map

    public NihiiType map(Nihii input)

  Specified by:
    `map` in interface `CommonInputMapper`

### map

    public IdType map(Identification input)

  Specified by:
    `map` in interface `CommonInputMapper`

### map

    public PartyType map(Party input)

  Specified by:
    `map` in interface `CommonInputMapper`

### mapMCNPackage

    public PackageType mapMCNPackage(McnPackageInfo input)

  Specified by:
    `mapMCNPackage` in interface `CommonInputMapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.